package company

type CompanySellers struct {
	AdminId   int    `description:"系统用户id"`
	AdminName string `description:"系统用户名称"`
	RealName  string `description:"用户真实名称"`
}

type CompanySellerResp struct {
	List []*CompanySellers
}

// DepartmentGroupSellersResp 销售列表（根据部门、分组来）
type DepartmentGroupSellersResp struct {
	List []DepartmentGroupSellers
}

type DepartmentGroupSellers struct {
	AdminId string `description:"系统用户id"`
	//AdminName string `description:"系统用户名称"`
	RealName     string                   `description:"用户真实名称"`
	ChildrenList []DepartmentGroupSellers `description:"销售列表"`
	RoleTypeCode string                   `description:"角色编码"`
	Authority    int                      `description:"管理权限，0：无，1：部门负责人，2：小组负责人,或者ficc销售主管，4:ficc销售组长"`
}
